Bug 542244 - [abrt] crash detected in wallpapoz-0.4.1-11.svn92_trunk.fc12
Summary: [abrt] crash detected in wallpapoz-0.4.1-11.svn92_trunk.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wallpapoz
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:033c4093
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-28 23:33 UTC by Deb Mukherjee
Modified: 2010-02-18 22:29 UTC (History)
8 users (show)

Fixed In Version: wallpapoz-0.4.1-15.svn92_trunk.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-18 22:19:57 UTC


Attachments (Terms of Use)
File: backtrace (1.89 KB, text/plain)
2009-11-28 23:33 UTC, Deb Mukherjee
no flags Details
contents of ~/.wallpapoz/wallpapoz.xml (355 bytes, text/plain)
2009-11-29 16:53 UTC, Deb Mukherjee
no flags Details

Description Deb Mukherjee 2009-11-28 23:33:24 UTC
abrt detected a crash.

Comment: do not know.
Attached file: backtrace
cmdline: python /usr/libexec/daemon_wallpapoz 
component: wallpapoz
executable: /usr/libexec/daemon_wallpapoz
kernel: 2.6.31.6-145.fc12.x86_64
package: wallpapoz-0.4.1-11.svn92_trunk.fc12
uuid: 033c4093

Comment 1 Deb Mukherjee 2009-11-28 23:33:26 UTC
Created attachment 374480 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2009-11-29 05:55:35 UTC
Well,

* Would you tell me the procedure how you can reproduce this
  bug in details?
* Please attach (not copy and paste) your ~/.wallpapoz/wallpapoz.xml
* Would you tell me the following?
  - What desktop environment you are using
  - How many workspace you have
* Would you tell me what the following returns when the bug 
  occurs?
--------------------------------------------------------
$ xprop -root _NET_DESKTOP_VIEWPORT
$ xprop -root _NET_DESKTOP_GEOMETRY
$ xwininfo -root
--------------------------------------------------------

Comment 3 Deb Mukherjee 2009-11-29 16:53:20 UTC
Created attachment 374588 [details]
contents of ~/.wallpapoz/wallpapoz.xml

Comment 4 Deb Mukherjee 2009-11-29 17:00:10 UTC
* Would you tell me the procedure how you can reproduce this
  bug in details?
Enabling cairo-dock in startup application, and restarting gnome-session reproduces this bug. Interestingly, removing cairo-dock from startup application list, and starting it later do not produce this bug.


* Please attach (not copy and paste) your ~/.wallpapoz/wallpapoz.xml
Done.

* Would you tell me the following?
  - What desktop environment you are using
gnome-desktop-2.28.1-5.fc12.x86_64

  - How many workspace you have
Four
* Would you tell me what the following returns when the bug 
  occurs?
--------------------------------------------------------
$ xprop -root _NET_DESKTOP_VIEWPORT
_NET_DESKTOP_VIEWPORT(CARDINAL) = 0, 0

$ xprop -root _NET_DESKTOP_GEOMETRY
_NET_DESKTOP_GEOMETRY(CARDINAL) = 6720, 1050

$ xwininfo -root

xwininfo: Window id: 0x142 (the root window) (has no name)

  Absolute upper-left X:  0
  Absolute upper-left Y:  0
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 1680
  Height: 1050
  Depth: 24
  Visual: 0x21
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: ForgetGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +0+0  -0+0  -0-0  +0-0
  -geometry 1680x1050+0+0

Comment 5 Mamoru TASAKA 2009-11-29 17:10:54 UTC
And would you tell me if some desktop effect is enabled or not?

Comment 6 Deb Mukherjee 2009-11-30 00:30:31 UTC
Desktop effects i.e. compiz-fusion starts at startup. cairo-dock uses openGL.

Comment 7 Deb Mukherjee 2009-12-03 03:52:02 UTC
Is it reproducible? 

Lately I am getting a lot of kerneloops, and nautilus is crashing. 
I used preupgrade to upgrade my system from F11, and as the nvidia driver was not there for the kernel 2.6.31.5-127.fc12.x86_64, I installed the kernel 2.6.31.6-145.fc12.x86_64 and nvidia-driver from update-testing repo. 

Therefore it may be difficult to pinpoint why my system has become unstable.

I am currently backing up my data and shortly will do a fresh install. 

Will report back if the problem persist. if not this thread can be closed.

Comment 8 Mamoru TASAKA 2010-02-03 19:48:50 UTC
(In reply to comment #6)
> Desktop effects i.e. compiz-fusion starts at startup. cairo-dock uses openGL.    

Okay.

Comment 9 Fedora Update System 2010-02-03 20:30:28 UTC
wallpapoz-0.4.1-12.svn92_trunk.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-12.svn92_trunk.fc12

Comment 10 Fedora Update System 2010-02-03 20:30:55 UTC
wallpapoz-0.4.1-12.svn92_trunk.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-12.svn92_trunk.fc11

Comment 11 Fedora Update System 2010-02-05 01:39:08 UTC
wallpapoz-0.4.1-12.svn92_trunk.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wallpapoz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1483

Comment 12 Fedora Update System 2010-02-08 18:56:48 UTC
wallpapoz-0.4.1-15.svn92_trunk.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-15.svn92_trunk.fc12

Comment 13 Fedora Update System 2010-02-08 18:58:23 UTC
wallpapoz-0.4.1-15.svn92_trunk.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-15.svn92_trunk.fc11

Comment 14 Michael Hampton 2010-02-08 19:02:49 UTC
wallpapoz-0.4.1-15.svn92_trunk.fc12 seems to have resolved the problem for me.

Comment 15 Fedora Update System 2010-02-09 21:01:14 UTC
wallpapoz-0.4.1-15.svn92_trunk.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wallpapoz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1687

Comment 16 Fedora Update System 2010-02-18 22:19:16 UTC
wallpapoz-0.4.1-15.svn92_trunk.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-02-18 22:29:54 UTC
wallpapoz-0.4.1-15.svn92_trunk.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.